#### D.15.8.33 grneg

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grneg(A), graded object A

Return:
  graded object

Purpose:
  graded map defined by -A

Example:

    LIB "gradedModules.lib";
    ring r=0,(x,y,z),dp;
    def A=grobj([x2,yz,xyz],intvec(1,1,0));
    grview(A);
    ==> Graded homomorphism: r(-1)^2 + r <- r(-3), given by a matrix, with degree\
       s:
    ==>     .1 ...
    ==>     -- +..
    ==>  1 : 2 |.1
    ==>  1 : 2 |.2
    ==>  0 : 3 |.3
    ==>     ==
    ==>      3
    def F=grneg(A);
    grview(F);
    ==> Graded homomorphism: r(-1)^2 + r <- r(-3), given by a matrix, with degree\
       s:
    ==>     .1 ...
    ==>     -- +..
    ==>  1 : 2 |.1
    ==>  1 : 2 |.2
    ==>  0 : 3 |.3
    ==>     ==
    ==>      3

User manual for Singular version 4.4.1, 2025, generated by texi2html.